.PHONY: clean

all: program

program: main.o module.o
	gcc -o program main.o module.o

main.o: main.c
	gcc -c main.c -o main.o

module.o: module.c
	gcc -c module.c -o module.o

clean:
	rm -f program main.o module.o
	echo "Clean executed!"
